> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Get Customer



## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/front/customer/{customer_id}
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/front/customer/{customer_id}:
    get:
      tags:
        - Customer
      summary: Get Customer
      description: Get Customer
      operationId: v1-customer-Get-customer
      parameters:
        - name: customer_id
          in: path
          description: Customer unique identifier on Subotiz
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomerResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    GetCustomerResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/GetCustomerResponse_Data'
    GetCustomerResponse_Data:
      type: object
      properties:
        customer:
          allOf:
            - $ref: '#/components/schemas/CustomerInfo'
          description: Customer information
    CustomerInfo:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        address:
          type: string
        phone:
          type: string
        name:
          type: string
        description:
          type: string
        payer_id:
          type: string
      description: Customer information
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````